﻿using Chatbot.Api.Application.Services;
using Chatbot.Api.Domain.Services;
using Microsoft.Extensions.DependencyInjection;

namespace Chatbot.Application
{
    public static class DependencyInjectionExtensions
    {
        public static void AddApplicationServices(this IServiceCollection services)
        {
            services.AddSingleton<IParamProvider, ParamProvider>();
            services.AddScoped<IUserService, UserService>();
        }
    }
}
