﻿using Chatbot.Api.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Chatbot.Api.Domain.Data.EntityTypeConfiguration
{
    class ChatMessageConfiguration : IEntityTypeConfiguration<ChatMessage>
    {
        public void Configure(EntityTypeBuilder<ChatMessage> builder)
        {
            builder.ToTable("ChatMessage").HasKey(key => key.MessageId);
            builder.Property(e => e.MessageId).ValueGeneratedOnAdd();
        }
    }
}
