﻿using Chatbot.Api.Domain.Entities;
using System;
using System.Threading.Tasks;

namespace Chatbot.Api.Domain.Repositories
{
    public interface IChatRepository
    {
        Task<Chat> CreateChat(Guid sessionId);
        Task Add<T>(T entity) where T : class;
        Task CloseChat(Guid chatId);
    }
}
