﻿using Chatbot.Api.Application.Events;
using NDB.Application.DataContracts;
using System;

namespace Chatbot.Api.Application.Commands
{
    public class CloseChat : Command<ChatClosed>
    {
        public Guid ChatId { get; }

        public CloseChat(Guid chatId)
            : base(new Metadata() { CorrelationId = Guid.NewGuid() })
        {
            ChatId = chatId;
        }
    }
}
