﻿using AutoMapper;
using Chatbot.Api.Application.Commands;
using Chatbot.Api.Application.Queries;
using Chatbot.Api.Domain.Entities;

namespace Chatbot.Api.Application.Mappings
{
    public class MappingProfile : Profile
    {
        public MappingProfile()
        {
            CreateMap<Bot, GetBots.Model>();
            CreateMap<BotSession, GetSession.Model>();
            CreateMap<Chat, GetChat.Model>();
            CreateMap<SaveChatMessage, ChatMessage>();
        }
    }
}