﻿using Chatbot.Api.Domain.Models.Settings;
using Chatbot.Api.Domain.Services;
using Microsoft.Extensions.Configuration;

namespace Chatbot.Api.Application.Services
{
    public class ParamProvider : IParamProvider
    {
        private readonly IConfiguration _configuration;

        public ParamProvider(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public Credentials Credentials => _configuration.GetSection("Credentials").Get<Credentials>();
    }
}